Use Rails timezones support

2008-07-29 15:09 - Artem Vasiliev
Category: Rails support Estimated time: 0.00 hour

Target version:    

Description

This switches off previous time offset calculation when showing time values to user, relying on Rails timezones support instead.

This is essential for cases when time is entered by user, so we need this for our #1650 patch (otherwise user sees his time +his

timezone offset).

This doesn't bring much to current Redmine as all the time fields are populated automatically currently. May be it could be used to

correct SCM timestamps if some give it in non-UTC. And surely this will help time values in custom fields when they support it.

After this patch is applied all the datetimes in the database will be interpreted as being in UTC, so if they don't they need to be

updated. For this new redmine:convert_database_times_to_utc rake task is included. Be sure to correct its LOCAL_UTC_OFFSET

and back up the database prior to running.

Contributed by Texuna Technologies.

Related issues:

Related to Redmine - Defect #3734: fetch_changesets save local time instead o... Needs feedback2009-08-13

Related to Redmine - Feature #2531: "Within period" query filters for date fi... Closed 2009-01-19

Related to Redmine - Defect #5560: Changing System Time Zone Causes Issue Upd... New 2010-05-19

History

#1 - 2008-07-29 15:11 - Artem Vasiliev

http://mad.ly/2008/04/09/rails-21-time-zone-support-an-overview/ has good introduction to (and discussion of) Rails 2.1 timezones support.

#2 - 2008-07-29 15:18 - Artem Vasiliev

Also config/environment.rb need to be adjusted for particular server (config.time_zone setting)

#3 - 2008-07-29 15:32 - Artem Vasiliev

- File rails_timezones.patch added

#4 - 2009-01-20 11:30 - Artem Vasiliev

This is used in #2531's implementation

#5 - 2011-03-24 05:53 - Toshi MARUYAMA

- Category set to Rails support

Files

rails_timezones.patch 3.85 KB 2008-07-29 Artem Vasiliev

rails_timezones.patch 3.85 KB 2008-07-29 Artem Vasiliev
